net.i2p.router.transport.udp

## Class InboundMessageFragments

- java.lang.Object
- - net.i2p.router.transport.udp.InboundMessageFragments

-      class InboundMessageFragments
      extends Object

  Organize the received data message fragments, feeding completed messages to the `MessageReceiver` and telling the `ACKSender` of new peers to ACK. In addition, it drops failed fragments and keeps a minimal list of the most recently completed messages (even though higher up in the router we have full blown replay detection, its nice to have a basic line of defense here).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InboundMessageFragments(RouterContext ctx, OutboundMessageFragments outbound, UDPTransport transport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAlive()`
    `void` | `receiveData(PeerState from, UDPPacketReader.DataReader data)` Pull the fragments and ACKs out of the authenticated data packet
    `void` | `shutdown()`
    `void` | `startup()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InboundMessageFragments

          public InboundMessageFragments(RouterContext ctx,
                                 OutboundMessageFragments outbound,
                                 UDPTransport transport)

  - ### Method Detail

    - #### startup

          public void startup()

    - #### shutdown

          public void shutdown()

    - #### isAlive

          public boolean isAlive()

    - #### receiveData

          public void receiveData(PeerState from,
                         UDPPacketReader.DataReader data)

      Pull the fragments and ACKs out of the authenticated data packet